Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicToggleButtonUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.basic.BasicButtonUI
                        |
                        +--javax.swing.plaf.basic.BasicToggleButtonUI

Direct Known Subclasses:
  BasicRadioButtonUI, MetalToggleButtonUI

public class BasicToggleButtonUI
extends BasicButtonUI

BasicToggleButton implementation

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`BasicToggleButtonUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected String` | `getPropertyPrefix()`
`void` | `paint(Graphics g, JComponent c)`
`protected void` | `paintButtonPressed(Graphics g, AbstractButton b)`
`protected void` | `paintFocus(Graphics g, AbstractButton b, Rectangle viewRect, Rectangle textRect, Rectangle iconRect)`
`protected void` | `paintIcon(Graphics g, AbstractButton b, Rectangle iconRect)`
`protected void` | `paintText(Graphics g, AbstractButton b, Rectangle textRect, String text)`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, createButtonListener, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getTextShiftOffset, installDefaults, installKeyboardActions, installListeners, installUI, paintIcon, paintText, setTextShiftOffset, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicToggleButtonUI

    public BasicToggleButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### getPropertyPrefix

    protected String getPropertyPrefix()

  Overrides:
    `getPropertyPrefix` in class `BasicButtonUI`

### paint

    public void paint(Graphics g,
                      JComponent c)

  Overrides:
    `paint` in class `BasicButtonUI`

### paintIcon

    protected void paintIcon(Graphics g,
                             AbstractButton b,
                             Rectangle iconRect)

### paintText

    protected void paintText(Graphics g,
                             AbstractButton b,
                             Rectangle textRect,
                             String text)

### paintFocus

    protected void paintFocus(Graphics g,
                              AbstractButton b,
                              Rectangle viewRect,
                              Rectangle textRect,
                              Rectangle iconRect)

  Overrides:
    `paintFocus` in class `BasicButtonUI`

### paintButtonPressed

    protected void paintButtonPressed(Graphics g,
                                      AbstractButton b)

  Overrides:
    `paintButtonPressed` in class `BasicButtonUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.